;	IO DEFINITIONS FOR MC68HC12B32
;	Copyright (c) 1997 by COSMIC Software
;
	xref.b	_PORTA		; port A
	xref.b	_PORTB		; port B
	xref.b	_DDRA		; data direction port A
	xref.b	_DDRB		; data direction port B
	xref.b	_PORTE		; port E
	xref.b	_DDRE		; data direction port E
	xref.b	_PEAR		; port E assignment register
	xref.b	_MODE		; mode register
	xref.b	_PUCR		; pull-up control register
	xref.b	_RDRIV		; reduced drive of I/O lines
;
	xref.b	_INITRM		; RAM mapping register
	xref.b	_INITRG		; IO mapping register
	xref.b	_INITEE		; EEPROM mapping register
	xref.b	_MISC		; mapping control register
	xref.b	_RTICTL		; real time interrupt control
	xref.b	_RTIFLG		; real time interrupt flag
	xref.b	_COPCTL		; COP control register
	xref.b	_COPRST		; COP arm/reset
	xref.b	_ITST0		; interrupt test 0
	xref.b	_ITST1		; interrupt test 1
	xref.b	_ITST2		; interrupt test 2
	xref.b	_ITST3		; interrupt test 3
	xref.b	_INTCR		; interrupt control
	xref.b	_HPRIO		; highest priority
;
	xref.b	_BRKCT0		; Breakpoint Control 0
	xref.b	_BRKCT1		; Breakpoint Control 1
	xref.b	_BRKA		; Breakpoint Address
	xref.b	_BRKD		; Breakpoint Data
;
	xref.b	_PWCLK		; PWM Clocks
	xref.b	_PWPOL		; PWM Clock Polarity
	xref.b	_PWEN		; PWM Enable
	xref.b	_PWPRES		; PWM Prescale Counter
	xref.b	_PWSCAL0	; PWM Scale 0
	xref.b	_PWSCNT0	; PWM Counter 0
	xref.b	_PWSCAL1	; PWM Scale 1
	xref.b	_PWSCNT1	; PWM Counter 1
	xref.b	_PWCNT0		; PWM Channel Counter 0
	xref.b	_PWCNT1		; PWM Channel Counter 1
	xref.b	_PWCNT2		; PWM Channel Counter 2
	xref.b	_PWCNT3		; PWM Channel Counter 3
	xref.b	_PWPER0		; PWM Channel Period 0
	xref.b	_PWPER1		; PWM Channel Period 1
	xref.b	_PWPER2		; PWM Channel Period 2
	xref.b	_PWPER3		; PWM Channel Period 3
	xref.b	_PWDTY0		; PWM Channel Duty 0
	xref.b	_PWDTY1		; PWM Channel Duty 1
	xref.b	_PWDTY2		; PWM Channel Duty 2
	xref.b	_PWDTY3		; PWM Channel Duty 3
	xref.b	_PWCTL		; PWM Control Register
	xref.b	_PWTST		; PWM Test Register
	xref.b	_PORTP		; port P
	xref.b	_DDRP		; data direction port P
;
	xref.b	_ATDCTL0	; A/D control register 0
	xref.b	_ATDCTL1	; A/D control register 1
	xref.b	_ATDCTL2	; A/D control register 2
	xref.b	_ATDCTL3	; A/D control register 3
	xref.b	_ATDCTL4	; A/D control register 4
	xref.b	_ATDCTL5	; A/D control register 5
	xref.b	_ATDSTAT	; A/D status register
	xref.b	_ATDTEST	; A/D test register
	xref.b	_PORTAD		; port AD data input register
	xref.b	_ADR0H		; A/D result 0
	xref.b	_ADR1H		; A/D result 1
	xref.b	_ADR2H		; A/D result 2
	xref.b	_ADR3H		; A/D result 3
	xref.b	_ADR4H		; A/D result 4
	xref.b	_ADR5H		; A/D result 5
	xref.b	_ADR6H		; A/D result 6
	xref.b	_ADR7H		; A/D result 7
;
	xref.b	_TIOS		; time select
	xref.b	_CFORC		; compare force
	xref.b	_OC7M		; oc7 mask
	xref.b	_OC7D		; oc7 data
	xref.b	_TCNT		; timer counter
	xref.b	_TSCR		; timer system control
	xref.b	_TQCR		; timer queue control
	xref.b	_TCTL1		; timer control 1
	xref.b	_TCTL2		; timer control 2
	xref.b	_TCTL3		; timer control 3
	xref.b	_TCTL4		; timer control 4
	xref.b	_TMSK1		; timer interrupt mask 1
	xref.b	_TMSK2		; timer interrupt mask 2
	xref.b	_TFLG1		; timer interrupt flag 1
	xref.b	_TFLG2		; timer interrupt flag 2
	xref.b	_TC0		; timer capture/compare 0
	xref.b	_TC1		; timer capture/compare 1
	xref.b	_TC2		; timer capture/compare 2
	xref.b	_TC3		; timer capture/compare 3
	xref.b	_TC4		; timer capture/compare 4
	xref.b	_TC5		; timer capture/compare 5
	xref.b	_TC6		; timer capture/compare 6
	xref.b	_TC7		; timer capture/compare 7
	xref.b	_PACTL		; pulse accumulator control
	xref.b	_PAFLG		; pulse accumulator flag
	xref.b	_PACNT		; pulse accumulator count
	xref.b	_TIMTST		; timer test register
	xref.b	_PORTT		; timer port data
	xref.b	_DDRT		; timer data direction
;
	xref.b	_SC0BDH		; SCI 0 baud rate high
	xref.b	_SC0BDL		; SCI 0 baud rate low
	xref.b	_SC0CR1		; SCI 0 control register 1
	xref.b	_SC0CR2		; SCI 0 control register 2
	xref.b	_SC0SR1		; SCI 0 status register 1
	xref.b	_SC0SR2		; SCI 0 status register 2
	xref.b	_SC0DRH		; SCI 0 data register high
	xref.b	_SC0DRL		; SCI 0 data register low
;
	xref.b	_SP0CR1		; SPI control register 1
	xref.b	_SP0CR2		; SPI control register 2
	xref.b	_SP0BR		; SPI baud rate register
	xref.b	_SP0SR		; SPI status register
	xref.b	_SP0DR		; SPI data register
	xref.b	_PORTS		; port S data register
	xref.b	_DDRS		; port S data direction
	xref.b	_PURDS		; port S pull-up
;
	xref.b	_EEMCR		; eeprom module configuration
	xref.b	_EEPROT		; eeprom block protect
	xref.b	_EETST		; eeprom test register
	xref.b	_EEPROG		; eeprom control register
	xref.b	_FEELCK		; flash lock register
	xref.b	_FEEMCR		; flash module register
	xref.b	_FEETST		; flash test register
	xref.b	_FEECTL		; flash control register
	xref.b	_BCR1		; BDLC control register 1
	xref.b	_BSVR		; BDLC state vector register
	xref.b	_BCR2		; BDLC control register 2
	xref.b	_BDR		; BDLC data register
	xref.b	_BARD		; BDLC analog delay
	xref.b	_DLCSCR		; port DLC control register
	xref.b	_PORTDLC	; port DLC data register
	xref.b	_DDRDLC		; port DLC direction register
;
