;	IO DEFINITIONS FOR MC68HC12D60
;	Copyright (c) 1998 by COSMIC Software
;
	xref.b	_PORTA 		; port A
	xref.b	_PORTB 		; port B
	xref.b	_DDRA 		; data direction port A
	xref.b	_DDRB 		; data direction port B
	xref.b	_PORTE 		; port E
	xref.b	_DDRE 		; data direction port E
	xref.b	_PEAR 		; port E assignment register
	xref.b	_MODE 		; mode register
	xref.b	_PUCR 		; pull-up control register
	xref.b	_RDRIV 		; reduced drive of I/O lines
;
	xref.b	_INITRM 	; RAM mapping register
	xref.b	_INITRG 	; IO mapping register
	xref.b	_INITEE 	; EEPROM mapping register
	xref.b	_MISC 		; mapping control register
	xref.b	_RTICTL 	; real time interrupt control
	xref.b	_RTIFLG 	; real time interrupt flag
	xref.b	_COPCTL 	; COP control register
	xref.b	_COPRST 	; COP arm/reset
	xref.b	_ITST0 		; interrupt test 0
	xref.b	_ITST1 		; interrupt test 1
	xref.b	_ITST2 		; interrupt test 2
	xref.b	_ITST3 		; interrupt test 3
	xref.b	_INTCR 		; interrupt control
	xref.b	_HPRIO 		; highest priority
;
	xref.b	_BRKCT0 	; Breakpoint Control 0
	xref.b	_BRKCT1 	; Breakpoint Control 1
	xref.b	_BRKA 		; Breakpoint Address
	xref.b	_BRKD 		; Breakpoint Data
;
	xref.b	_PORTG 		; port G
	xref.b	_PORTH 		; port H
	xref.b	_DDRG 		; data direction port G
	xref.b	_DDRH 		; data direction port H
	xref.b	_KWIEG 		; KW interrupt enable G
	xref.b	_KWIEH 		; KW interrupt enable H
	xref.b	_KWIFG 		; KW flag port G
	xref.b	_KWIFH 		; KW flag port H
;
	xref.b	_SYNR 		; synthesizer register
	xref.b	_REFDV 		; reference divider register
	xref.b	_CGTFLG 	; clock generator test reg
	xref.b	_PLLFLG 	; PLL flag register
	xref.b	_PLLCR 		; PLL control register
	xref.b	_CLKSEL 	; clock generator select reg
	xref.b	_SLOW 		; slow mode divider register
	xref.b	_CGTCTL 	; clock generator test control
;
	xref.b	_PWCLK 		; PWM Clocks
	xref.b	_PWPOL 		; PWM Clock Polarity
	xref.b	_PWEN 		; PWM Enable
	xref.b	_PWPRES 	; PWM Prescale Counter
	xref.b	_PWSCAL0 	; PWM Scale 0
	xref.b	_PWSCNT0 	; PWM Counter 0
	xref.b	_PWSCAL1 	; PWM Scale 1
	xref.b	_PWSCNT1 	; PWM Counter 1
	xref.b	_PWCNT0 	; PWM Channel Counter 0
	xref.b	_PWCNT1 	; PWM Channel Counter 1
	xref.b	_PWCNT2 	; PWM Channel Counter 2
	xref.b	_PWCNT3 	; PWM Channel Counter 3
	xref.b	_PWPER0 	; PWM Channel Period 0
	xref.b	_PWPER1 	; PWM Channel Period 1
	xref.b	_PWPER2 	; PWM Channel Period 2
	xref.b	_PWPER3 	; PWM Channel Period 3
	xref.b	_PWDTY0 	; PWM Channel Duty 0
	xref.b	_PWDTY1 	; PWM Channel Duty 1
	xref.b	_PWDTY2 	; PWM Channel Duty 2
	xref.b	_PWDTY3 	; PWM Channel Duty 3
	xref.b	_PWCONT 	; PWM Control Register
	xref.b	_PWTST 		; PWM Test Register
	xref.b	_PORTP 		; port P
	xref.b	_DDRP 		; data direction port P
;
	xref.b	_ATD0CTL0 	; A/D0 control register 0
	xref.b	_ATD0CTL1 	; A/D0 control register 1
	xref.b	_ATD0CTL2 	; A/D0 control register 2
	xref.b	_ATD0CTL3 	; A/D0 control register 3
	xref.b	_ATD0CTL4 	; A/D0 control register 4
	xref.b	_ATD0CTL5 	; A/D0 control register 5
	xref.b	_ATD0STAT 	; A/D0 status register
	xref.b	_ATD0TEST 	; A/D0 test register
	xref.b	_PORTAD0 	; port AD0 data input register
	xref.b	_ADR00 		; A/D0 result 0
	xref.b	_ADR01 		; A/D0 result 1
	xref.b	_ADR02 		; A/D0 result 2
	xref.b	_ADR03 		; A/D0 result 3
	xref.b	_ADR04 		; A/D0 result 4
	xref.b	_ADR05 		; A/D0 result 5
	xref.b	_ADR06 		; A/D0 result 6
	xref.b	_ADR07 		; A/D0 result 7
;
	xref.b	_TIOS 		; time select
	xref.b	_CFORC 		; compare force
	xref.b	_OC7M 		; oc7 mask
	xref.b	_OC7D 		; oc7 data
	xref.b	_TCNT 		; timer counter
	xref.b	_TSCR 		; timer system control
	xref.b	_TQCR 		; timer queue control
	xref.b	_TCTL1 		; timer control 1
	xref.b	_TCTL2 		; timer control 2
	xref.b	_TCTL3 		; timer control 3
	xref.b	_TCTL4 		; timer control 4
	xref.b	_TMSK1 		; timer interrupt mask 1
	xref.b	_TMSK2 		; timer interrupt mask 2
	xref.b	_TFLG1 		; timer interrupt flag 1
	xref.b	_TFLG2 		; timer interrupt flag 2
	xref.b	_TC0 		; timer capture/compare 0
	xref.b	_TC1 		; timer capture/compare 1
	xref.b	_TC2 		; timer capture/compare 2
	xref.b	_TC3 		; timer capture/compare 3
	xref.b	_TC4 		; timer capture/compare 4
	xref.b	_TC5 		; timer capture/compare 5
	xref.b	_TC6 		; timer capture/compare 6
	xref.b	_TC7 		; timer capture/compare 7
	xref.b	_PACTL 		; pulse accumulator A control
	xref.b	_PAFLG 		; pulse accumulator A flag
	xref.b	_PACN3 		; pulse accumulator A3 count
	xref.b	_PACN2 		; pulse accumulator A2 count
	xref.b	_PACN1 		; pulse accumulator A1 count
	xref.b	_PACN0 		; pulse accumulator A0 count
	xref.b	_MCCTL 		; modulus counter control reg
	xref.b	_MCFLG 		; modulus counter flag reg
	xref.b	_ICPAR 		; input control pulse acc reg
	xref.b	_DLYCT 		; delay counter control reg
	xref.b	_ICOVW 		; input control overwrite reg
	xref.b	_ICSYS 		; input control system reg
	xref.b	_TIMTST 	; timer test register
	xref.b	_PORTT 		; timer port data
	xref.b	_DDRT 		; timer data direction
;
	xref.b	_PBCTL 		; pulse accumulator B control
	xref.b	_PBFLG 		; pulse accumulator B flag
	xref.b	_PA3H 		; pulse accumulator B3 count
	xref.b	_PA2H 		; pulse accumulator B2 count
	xref.b	_PA1H 		; pulse accumulator B1 count
	xref.b	_PA0H 		; pulse accumulator B0 count
	xref.b	_MCCNT 		; modulus counter count reg
	xref.b	_TC0H 		; timer input capture hold 0
	xref.b	_TC1H 		; timer input capture hold 1
	xref.b	_TC2H 		; timer input capture hold 2
	xref.b	_TC3H 		; timer input capture hold 3
;
	xref.b	_SC0BDH 	; SCI 0 baud rate high
	xref.b	_SC0BDL 	; SCI 0 baud rate low
	xref.b	_SC0CR1 	; SCI 0 control register 1
	xref.b	_SC0CR2 	; SCI 0 control register 2
	xref.b	_SC0SR1 	; SCI 0 status register 1
	xref.b	_SC0SR2 	; SCI 0 status register 2
	xref.b	_SC0DRH 	; SCI 0 data register high
	xref.b	_SC0DRL 	; SCI 0 data register low
	xref.b	_SC1BDH 	; SCI 1 baud rate high
	xref.b	_SC1BDL 	; SCI 1 baud rate low
	xref.b	_SC1CR1 	; SCI 1 control register 1
	xref.b	_SC1CR2 	; SCI 1 control register 2
	xref.b	_SC1SR1 	; SCI 1 status register 1
	xref.b	_SC1SR2 	; SCI 1 status register 2
	xref.b	_SC1DRH 	; SCI 1 data register high
	xref.b	_SC1DRL 	; SCI 1 data register low
;
	xref.b	_SP0CR1 	; SPI control register 1
	xref.b	_SP0CR2 	; SPI control register 2
	xref.b	_SP0BR 		; SPI baud rate register
	xref.b	_SP0SR 		; SPI status register
	xref.b	_SP0DR 		; SPI data register
	xref.b	_PORTS 		; port S data register
	xref.b	_DDRS 		; port S data direction
	xref.b	_PURDS 		; port S pull-up
;
	xref.b	_EEMCR 		; eeprom module configuration
	xref.b	_EEPROT 	; eeprom block protect
	xref.b	_EETST 		; eeprom test register
	xref.b	_EEPROG 	; eeprom control register
	xref.b	_FEE32LCK 	; flash lock register
	xref.b	_FEE32MCR 	; flash module register
	xref.b	_FEE32TST 	; flash test register
	xref.b	_FEE32CTL 	; flash control register
	xref.b	_FEE28LCK 	; flash lock register
	xref.b	_FEE28MCR 	; flash module register
	xref.b	_FEE28TST 	; flash test register
	xref.b	_FEE28CTL 	; flash control register
;
	xref	_CMCR0 		; CAN control register 0
	xref	_CMCR1 		; CAN control register 1
	xref	_CBTR0 		; CAN bus timing register 0
	xref	_CBTR1 		; CAN bus timing register 1
	xref	_CRFLG 		; CAN receiver flag register
	xref	_CRIER 		; CAN receiver interrupt reg
	xref	_CTFLG 		; CAN transmitter flag reg
	xref	_CTCR 		; CAN transmitter control reg
	xref	_CIDAC 		; CAN id acceptance ctrl reg
	xref	_CRXERR 	; CAN receive error counter
	xref	_CTXERR 	; CAN transmit error counter
	xref	_CIDAR0 	; CAN id acceptance register 0
	xref	_CIDAR1 	; CAN id acceptance register 1
	xref	_CIDAR2 	; CAN id acceptance register 2
	xref	_CIDAR3 	; CAN id acceptance register 3
	xref	_CIDMR0 	; CAN id mask register 0
	xref	_CIDMR1 	; CAN id mask register 1
	xref	_CIDMR2 	; CAN id mask register 2
	xref	_CIDMR3 	; CAN id mask register 3
	xref	_CIDAR4 	; CAN id acceptance register 4
	xref	_CIDAR5 	; CAN id acceptance register 5
	xref	_CIDAR6 	; CAN id acceptance register 6
	xref	_CIDAR7 	; CAN id acceptance register 7
	xref	_CIDMR4 	; CAN id mask register 4
	xref	_CIDMR5 	; CAN id mask register 5
	xref	_CIDMR6 	; CAN id mask register 6
	xref	_CIDMR7 	; CAN id mask register 7
;
	xref	_PCTLCAN 	; CAN port control register
	xref	_PORTCAN 	; CAN port data register
	xref	_DDRCAN 	; CAN port data direction reg
;
	xref	_RxFG	 	; CAN receive buffer
	xref	_Tx0	 	; CAN transmit buffer 0
	xref	_Tx1	 	; CAN transmit buffer 1
	xref	_Tx2	 	; CAN transmit buffer 2
;
	xref	_ATD1CTL0 	; A/D1 control register 0
	xref	_ATD1CTL1 	; A/D1 control register 1
	xref	_ATD1CTL2 	; A/D1 control register 2
	xref	_ATD1CTL3 	; A/D1 control register 3
	xref	_ATD1CTL4 	; A/D1 control register 4
	xref	_ATD1CTL5 	; A/D1 control register 5
	xref	_ATD1STAT 	; A/D1 status register
	xref	_ATD1TEST 	; A/D1 test register
	xref	_PORTAD1 	; port AD1 data input register
	xref	_ADR10 		; A/D1 result 0
	xref	_ADR11 		; A/D1 result 1
	xref	_ADR12 		; A/D1 result 2
	xref	_ADR13 		; A/D1 result 3
	xref	_ADR14 		; A/D1 result 4
	xref	_ADR15 		; A/D1 result 5
	xref	_ADR16 		; A/D1 result 6
	xref	_ADR17 		; A/D1 result 7
;
